# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include backup
class backup {
  file { '/var/backups':
    ensure => 'directory',
    mode   => '0700',
  }
  file { '/var/backups/backup_script.sh':
    source => 'puppet:///modules/backup/backup_script.sh',
    mode   => '0700',
  }
  cron { 'backup_cron':
    ensure   => 'present',
    command  => '/var/backups/backup_script.sh',
    user     => 'root',
    monthday => '1',
    hour     => 2,
    minute   => 0,
  }
}
